Bug 230299 - java/intellij-ultimate: Update to 2018.2
Summary: java/intellij-ultimate: Update to 2018.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-02 18:56 UTC by Andrey Cherkashin
Modified: 2018-08-31 09:52 UTC (History)
5 users (show)

See Also:
andoriyu: maintainer-feedback+


Attachments
Patch to update it to 2018.2 (60.62 KB, text/plain)
2018-08-02 18:56 UTC, Andrey Cherkashin
no flags Details
Updated patch. That doesn't remove pty4j jar. (60.63 KB, patch)
2018-08-06 20:53 UTC, Andrey Cherkashin
andoriyu: maintainer-approval-
Details | Diff
intellij ultimate 2018.2.2 (61.44 KB, patch)
2018-08-30 06:47 UTC, Kevin Bowling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Cherkashin 2018-08-02 18:56:19 UTC
Created attachment 195770 [details]
Patch to update it to 2018.2

Update to the latest version yet again.
Comment 1 Rabenda 2018-08-05 14:55:03 UTC
Don't remove ${STAGEDIR}${IDEA_HOME}/lib/pty4j-0.7.5.jar. Because idea's plugins depend it and it can invoke java/intellij-pty4j provide native lib
Comment 2 Andrey Cherkashin 2018-08-06 20:48:59 UTC
(In reply to Rabenda from comment #1)
Hmm, Wonder why was it removed in the first place.
Comment 3 Andrey Cherkashin 2018-08-06 20:53:11 UTC
Created attachment 195951 [details]
Updated patch. That doesn't remove pty4j jar.
Comment 4 Kevin Bowling freebsd_committer 2018-08-30 06:47:02 UTC
Created attachment 196697 [details]
intellij ultimate 2018.2.2

Here's an updated one for 2018.2.2
Comment 5 Andrey Cherkashin 2018-08-31 00:55:14 UTC
Comment on attachment 196697 [details]
intellij ultimate 2018.2.2

When can we merge this?
Comment 6 Timur I. Bakeyev freebsd_committer 2018-08-31 08:04:05 UTC
(In reply to Andrey Cherkashin from comment #5)

I'll merge it.
Comment 7 commit-hook freebsd_committer 2018-08-31 09:39:14 UTC
A commit references this bug:

Author: timur
Date: Fri Aug 31 09:38:21 UTC 2018
New revision: 478538
URL: https://svnweb.freebsd.org/changeset/ports/478538

Log:
  Update java/intellij-ultimate to 2018.2.2 version

  PR:		230299
  Submitted by:	kbowling
  Approved by:	maintainer

Changes:
  head/java/intellij-ultimate/Makefile
  head/java/intellij-ultimate/distinfo
  head/java/intellij-ultimate/pkg-plist
Comment 8 Timur I. Bakeyev freebsd_committer 2018-08-31 09:52:47 UTC
Committed, thanks!